***NEW*** Shadow WQHD Skin

Wir haben aktuell ein Problem mit dem Board und arbeiten an der Lösung...


-> Aktuell bereiten wir das Upgrade auf die aktuelle Version 6 von Woltlab vor.
  • Skininfo zum Shadow WQHD


    Anmerkung zum Skin:

    Mein Shadow WQHD Skin hat eine neue Lizenz bekommen (diese steht auch in der skin.xml und diese ist bitte zu beachten ,wenn ich merke das diese ignoriert wird werde ich keine öffentlichen update´s mehr anbieten und es wird keine weiteren Skinupdate mehr geben bzw. von mir absolut nix mehr frei für die Allgemeinheit.

    license "This skin may not be changed or offered under a different name.It may only be used on Amlogic Dreamboxes with the DreamOS operating system."

    Wer gern Alternativ Screens usw. haben möchte kann dies mit Styles und einer styles_user.xml bewerkstelligen ,das ist erlaubt und sogar erwünscht ,aber ein Mod. des WQHD Skins oder andere Anpassungen im Skin ist absolut nicht erwünscht und dies steht in der neuen Lizenz zum Skin.


    Der Shadow WQHD Skin ist eine extended Version des Default WQHD im neuen DreamOS und nur für die Amlogic Dreamboxen nutzbar die das neue Dreambox aio (All IN ONE) benutzen.

    Er ist wie alle meine aktuellen Skins kein GP Skin (auch wenn dies im Namen steht) sondern GP Ready ,das bedeutet es muss nix vom GP installiert sein der Skin ist default immer in allen Dreambox aio lauffähig .

    Da dieser Skin ein WQHD Skin ist mit einer Auflösung von 2560x1440 ist er hauptsächlich für große TV Geräte geeignet,auch kleine TV Geräte geht,es kommt nur drauf an ob einem dann nicht alles zu klein ist durch die Auflösung,man muss es einfach testen.

    Dieser Skin hat gegenüber des Default WQHD viele weitere Plugins geskinnt ,einige Screens sind ein wenig anderst als im Default und auch hat er bestimmte extra Infos über extra Converter und Renderer die nicht im Image direkt drin sind.


    nötige Abhängigkeiten zur Nutzung des Skins:

    Die im zweiten Beitrag genannten enigma2-plugin-skincomponents müssen installiert sein um den Skin installieren zu können (ohne eines der Pakete wird der Skin nicht installiert werden.


    Online installieren:

    - einfach nur den Skin über den Addonbrowser des GP4.2 unter Enigma2 Skins sowie Gemini Skins zu finden zum installieren/updaten anklicken und loslegen,es werden dann alle nötigen Pakete mit geladen.


    Anpassung der Designs und mehr:

    Durch das Plugin Styles was es hier: Styles zum nachladen gibt und wo auch der Support zum Plugin ist kann man einiges schon default im Skin anpassen.

    Wie der Name des Plugins schon sagt kann damit das aussehen des Skins verändert werden.

    Auch kann man sich selbst eine styles_user.xml erstellen wenn man sich mit dem ganzen beschäftigt und diese in /etc/enigma2 legen.

    Diese user Datei wird euch dann in Styles angezeigt (sofern ihr die für den Skin freigegeben habt und dann könnt ihr eure eigenen Sachen zuschalten.

    Mit Styles können default schon mehrere FarbDesigns des Skin genutzt werden ,viele weitere und unterschiedliche Screenansichten zu bestimmten Plugins und einiges mehr.


    White/Black extra Iconumschaltung:

    Der Skin liefert extra Black Icons mit die man zusätzlich umschalten kann per Script ,somit kann man in einem Light Design sich die Hauptmenü ,netatmo ,ein paar Systemicons wie die der Choicebox usw. sowie die Movielist Icons der AMS umschalten.

    Da diese Icons sich nicht einfach so mit umschalten werden mit dem Skinupdate in /usr/script 2 kleine Scripte mit installiert womit der User dann über den GP Dateibrowser oder GCommander einfach das gewünschte Script ausführen kann.

    Man hat aktuell die Wahl :


    1. auf Blackicons umschalten

    2. die DefaultIcons wieder herzustellen



    Unterstützung der Plugins im Skin:

    Gleich vorweg ,es wird so einige Plugins geben die durch die Skinauflösung hier im Skin (da ja WQHD) ,nicht wirklich anzeigbar sind da es noch nicht viele Plugins gibt die überhaupt WQHD default Screens haben bzw. sogar in einigen Code-Elementen garnicht für WQHD ausgelegt sind ,ich werde deshalb diese Plugins aber nicht in meinen Skin ein skinnen ,das müsst ihr entweder selber skinnen in einer user Datei oder der Pluginersteller liefert wenn er mag WQHD default Screens mit dem Plugin mit.

    Dieser Skin unterstützt in der aktuellen Version eine breite Palette von Plugins,aber nicht alle und er wird auch nie alle unterstützen. Ich skinne hauptsächlich nur die Plugins die ich selbst nutze bzw. mal genutzt habe, ich werde mir aber wenn jemand einen Wunsch hat das gerne anhören und schauen ob ich da was machen werde ,aber nicht jeder Wunsch wird von mir erfüllt.

    Die angehängten Bilder zeigen nur einen kleinen Bruchteil von dem was alles geskinnt ist und was man schalten kann per Styles ,man sieht aber denke schon sehr gut wie umfangreich der Skin ist und was er alles aktuell bietet.

  • Ich hab mich entschieden das mein Skin nur noch am AIO Feed des GP4.2 ladbar ist ,ich werde aktuell keine Version zum manuellen Install mehr bereitstellen und sollte ich irgendwo eine solche Version sehen (ab 16.12.23 v1.0-r55 ) ,diese auf einem anderen Feed als dem GP4.2 Feed auftaucht ,oder wird mir dies berichtet ,stelle ich jeglichen Support für die Allgemeinheit ein .


    Diese ext Skincomponenten müssen auf der Box sein oder vor dem Skin installiert werden ,es gibt sie hier Externe Skincomponente zur Nutzung in den Skins zum Downloaden.


    Nötige externe Skincomponent für diesen Skin sind :

    enigma2-plugin-skincomponents-extaudioinfo,

    enigma2-plugin-skincomponents-extcaidinfo,

    enigma2-plugin-skincomponents-extchnumber,

    enigma2-plugin-skincomponents-extdiskspaceinfo,

    enigma2-plugin-skincomponents-extmovieinfo,

    enigma2-plugin-skincomponents-extmultilistselection,

    enigma2-plugin-skincomponents-extvolumetext


    Für die schaltbaren EDM Ansichten ist zusätzlich das Plugin EventDataManager von nöten.


    Mediaportal WQHD Skin Update : .08.07.24 v2.0-r12

    - Anpassung an das aktuelle ShadowWQHD update


    Shadow WQHD Skin Update : 08.07.24 v2.0-r12

    - Umstellung der Icon Scripts (diese liegen jetzt im Skinordner iconstyle_icons zum starten)

    - weitere interne Anpassungen in den Screens
    - uvm.

  • Das mein Skin alle Screens und Funktionen aller GP4.2 Plugins unterstützt .

    Also das wenn man sich GP Plugins installiert diese hier im Skin geskinnt sind und dann auch in WQHD am Bildschirm erscheinen.

    Auch hat der Skin die GP skinbaren Animationen mit drin (also Animationen für die einzelnen GP Screens und auch eine über Styles zuschaltbare GP 4.2 Infobar wo man bis zu 9 Sensorfelder einstellen kann).

  • Sehr schöner Skin, bei meiner neuen One (hat die DM520 abgelöst) ist das jetzt mein neuer Default-Skin. Fehlt jetzt nur noch die Seven - zusammen mit Deinem WQHD-Skin dürfte die dann meine 7080 ablösen. Man darf ja noch träumen…

    DM920 mit original unstable OE2.5 11.08.2018 im Flash, GP4.1, S2X FCB-Tuner, 2 TB T7-SSD am USB, 2*SMARGO
    e2RemotePro
    Dreambox ONE mit OE2.6 AiO für Remote-Streaming

    Dreambox TWO mit OE2.6 AiO (wird mal meine DM7080/DM920 ersetzen - zur Zeit meine Spielbox)

  • Noch garnicht ,das ist aber gerade in den letzten zügen sodass die öffentliche Beta anfangen kann ,einfach auch im Dreamboard lesen ,dort gibt es die Infos :winking_face: .

    Es wird wohl dann nächste Woche soweit sein das die Allgemeinheit das neue Image auch zu Gesicht bekommen wird und somit dann auch neue Sachen die mit dem neuen Image daherkommen werden ,jetzt und in Zukunft.

  • Im ersten Post sind ab sofort die nötigen Pakete enthalten die als Abhängigkeit für den Skin benötigt werden.

    Im zweiten Post gibt es das erste Release zum neuen Shadow WQHD Skin.


    Viel Spaß mit dem neuen Skin

  • Bei der Installation der Abhängigkeiten aus #1 kommt bei mir bei enigma2-plugin-skincomponents-extmultilistselection die folgende Meldung:


    Unpacking enigma2-plugin-skincomponents-extmultilistselection (2.0-r0) ...

    dpkg: error processing archive /tmp/enigma2-plugin-skincomponents-extmultilistselection_all.deb (--install):

    trying to overwrite '/usr/lib/enigma2/python/Components/Converter/extMultiListSelection.py', which is also in package enigma2-plugin-skincomponents-extcomponents 20221103-r2511

    Errors were encountered while processing:

    /tmp/enigma2-plugin-skincomponents-extmultilistselection_all.deb


    Alle anderen Komponenten aus #1 haben sich einwandfrei installieren lassen auf der One (OE2.6 Experimental mit GP4.2)

    DM920 mit original unstable OE2.5 11.08.2018 im Flash, GP4.1, S2X FCB-Tuner, 2 TB T7-SSD am USB, 2*SMARGO
    e2RemotePro
    Dreambox ONE mit OE2.6 AiO für Remote-Streaming

    Dreambox TWO mit OE2.6 AiO (wird mal meine DM7080/DM920 ersetzen - zur Zeit meine Spielbox)

  • Dann hast du wohl auch noch das alte extcomponet Paket drauf (entweder du hast das installiert oder TV spielfilm ,wettercom oder mediathekview in alter Version :winking_face:)

    Daher du musst das alte extcomponet löschen dann geht auch das einzelpaket.

    Die plugins gibt es wenn unser gp feed aktualisiert ist in neuer version und dann sind diese nicht mehr von dem gesammtext abhängig sondern nutzen auch die neue einzel skincomponete ,genauso wie meine skins ab jetzt.

    Ich habe einzel skincomponente gebaut damit man nur noch das installiert was auch wirklich benötigt wird .Daher wenn der gp feed aktuell ist habt ihr auch alles aktuell bis dahin müsst ihr das beachten was ich schrieb ,also nix altes installieren :winking_face:

  • Das TV Spielfilm-Plugin hab ich jetzt deinstalliert.

    Nun habe versucht das enigma2-plugin-skincomponents-extcomponentsdpkg via Telnet zu deinstallieren:


    dpkg -r enigma2-plugin-skincomponents-extcomponents


    Ergebnis:

    dpkg: dependency problems prevent removal of enigma2-plugin-skincomponents-extcomponents:

    enigma2-skin-gp4-zombi-shadow-fhd depends on enigma2-plugin-skincomponents-extcomponents (>= 20210108-r2464).


    D.h. ich muss Dein Shadow-FHD deinstallieren damit ich enigma2-plugin-skincomponents-extcomponents deinstallieren kann?

    Und danach kann ich vermutlich enigma2-plugin-skincomponents-extmultilistselection installieren - korrekt?


    BTW: Ich hatte meine One erst vor 7 Tagen installiert - OE2.6, alle Komponenten aus dem GP-Feed, auch TV-Spielfilm, Shadow-FHD, Styles und Partnerbox-Plugin. Anderes Zeugs hab ich nicht installiert.

    DM920 mit original unstable OE2.5 11.08.2018 im Flash, GP4.1, S2X FCB-Tuner, 2 TB T7-SSD am USB, 2*SMARGO
    e2RemotePro
    Dreambox ONE mit OE2.6 AiO für Remote-Streaming

    Dreambox TWO mit OE2.6 AiO (wird mal meine DM7080/DM920 ersetzen - zur Zeit meine Spielbox)

    Edited 3 times, last by HDTVsatDreamer ().

  • oder aufs update des fhd warten ,das ganze liegt schon ne weile in unserem Beta, cepheus muss es nur noch auf den release feed legen .

    Mein fhd nutzt ab neuer Version auch nicht mehr das gesammtpaket und somit hat er dann auch keine Abhängigkeit mehr dazu. :winking_face:

    Ihr habt halt noch garnicht alles aktuell ,daher die probleme .

    Ihr instaliert zu schnell :grinning_squinting_face: